aboutsummaryrefslogtreecommitdiff
path: root/catcode
diff options
context:
space:
mode:
Diffstat (limited to 'catcode')
-rwxr-xr-xcatcode30
1 files changed, 30 insertions, 0 deletions
diff --git a/catcode b/catcode
new file mode 100755
index 0000000..fb3b99d
--- /dev/null
+++ b/catcode
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+#
+# Display the source of a script.
+#
+
+# Parameters
+BASENAME="`basename $0`"
+COMMAND="$1"
+PAGER="$2"
+
+# Check
+if [ -z "$COMMAND" ]; then
+ echo "usage: $BASENAME <command>"
+elif [ ! -e "$COMMAND" ]; then
+ COMMAND="`which $COMMAND 2> /dev/null`"
+
+ if [ -z "$COMMAND" ]; then
+ echo "$BASENAME: cannot find command"
+ exit 1
+ fi
+fi
+
+# Shebang checker
+if head -1 $COMMAND | grep -q '#!'; then
+ if [ -z "$PAGER" ]; then
+ cat $COMMAND
+ elif [ "$PAGER" == "less" ]; then
+ less $COMMAND
+ fi
+fi